summaryrefslogtreecommitdiff
path: root/bin/menuscripts/mpass
diff options
context:
space:
mode:
authorRaymaekers Luca <raymaekers.luca@gmail.com>2023-08-13 02:01:02 +0200
committerRaymaekers Luca <raymaekers.luca@gmail.com>2023-08-13 02:04:18 +0200
commitf7e3dc17c1692c8099ca4b80814db49d9da2c74c (patch)
treee1fbc961f519345aee535d3f3e34ada94ade977f /bin/menuscripts/mpass
parent396e509716ae5b334f4d588a9b425476770577ea (diff)
[mpass] cleanup of messages and commands
Diffstat (limited to 'bin/menuscripts/mpass')
-rwxr-xr-xbin/menuscripts/mpass16
1 files changed, 8 insertions, 8 deletions
diff --git a/bin/menuscripts/mpass b/bin/menuscripts/mpass
index 8153dc6..0117b97 100755
--- a/bin/menuscripts/mpass
+++ b/bin/menuscripts/mpass
@@ -16,12 +16,12 @@ do
[ "$choice" ] || break
file="$file/$choice"
done
-
test -z "$file" && exit 1
-pass show -c "$file" &&
- if [ -n "$WAYLAND_DISPLAY" ] && cliphist list >/dev/null
- then
- cliphist list | head -n 1 | cliphist delete
- fi ||
- exit 1
-notify-send "mpass" "copied <b>$choice</b>"
+
+pass show -c "$file"
+test $? -gt 0 && exit 1
+
+[ "$WAYLAND_DISPLAY" ] && cliphist list >/dev/null && # on wayland and cliphist is running
+ cliphist list | head -n 1 | cliphist delete
+
+notify-send -t 1000 "mpass" "copied <b>$choice</b>"